# Global Route Collector

The global route collector is a common resource for collecting route data from across the DN42 network.  
This data can then be used to provide statistics and a global map of the DN42 network.

## Providing Routes to the Collector

All DN42 users are invited to provide routes to the collector; the more users that take part, the more useful the collector becomes.

- Contact burble@hackint or mail dn42@burble.com, including your AS number and BGP peer address(es)

The collector runs bird2 and supports multiprotocol BGP; the preference is for multiprotocol peering over IPv6.  
If you are unable to support multiprotocol BGP, please provide both IPv4 and IPv6 peer addresses.

- Configure a BGP session for the collector on your router.
  
Some example client configurations are included in the 'examples' directory.  
Users are encouraged to configure the [BGP Add-Path](https://tools.ietf.org/html/rfc7911) extension to provide a comprehensive set of routes to the collector.
  
## Route Collector Services

### Looking Glass

[http://collector.dn42:5001/](http://collector.dn42:5001/) (DN42 link)  
[https://grc.burble.com/](https://grc.burble.com/) (public internet link)

The burble.dn42 looking glass is based on [bird-lg](https://github.com/sileht/bird-lg) with
patches by [Zhaofeng](https://github.com/zhaofengli/bird-lg) and [Burble](https://github.com/sesa-me/bird-lg)
to fix formating and bird2 compatibility.  

### Prometheus Metrics

[http://collector.dn42:9324/metrics](http://collector.dn42:9324/metrics)

The collector runs [bird_exporter](https://github.com/czerwonk/bird_exporter) and the metrics are publically available on the default bird_exporter port.

### Downstream BGP Sessions

Contact dn42@burble.com if you would like a downstream BGP session for your own analysis or metrics.

